From e2157dc070906d19ffbe1ac6ddb17931666d2dc3 Mon Sep 17 00:00:00 2001
From: manisha <manisha_kanyal.scsebtech@galgotiasuniversity.edu.in>
Date: Aug 06 2021 14:40:39 +0000
Subject: [PATCH 4/11] removed splits


---

diff --git a/src/translation/en.js b/src/translation/en.js
index ec7cebb..d6507cd 100644
--- a/src/translation/en.js
+++ b/src/translation/en.js
@@ -1,4 +1,63 @@
 export default {
+  Installation_text:
+    "The <1>Installation</1> testcases generally deal with a part of the installation procedure.<2 /> You will certainly need an installation ISO, and either a Virtual or Bare-metal machine to run the test.<2 /> <3>Note:</3> some (not that many, though) of these testcases require Bare-metal machine. Be sure to read the Description of the testcase carefully.",
+  Desktop_Text:
+    "The <1>Desktop</1> testcases cover basic functionality of the desktop environment.<2 /> You can either install Fedora onto clean Virtual or Bare-metal machine, or use a Live image instead.",
+  Base_Text:
+    "The <1>Base</1> testcases cover the system&#x27;s basic functionality just after a clean installation. <2 /> Most times, you will be asked to perform a clean Fedora installation. You can use either Virtual or Bare-metal machine. <2 /><3>Pro tip:</3> using a snapshot of cleanly installed Virtual machine is just fine. Noneed to reinstall for every testcase.",
+  Server_Text:
+    "The <1>Server</1> testcases usually require multiple machines to test the server-client behaviour, and might feel a bit advanced.",
+  cloud_Text:
+    "Even thought the <1>Cloud</1> testcases are best done in the specific environments like EC2 or Openstack, you can also perform them locally using Testcloud.<2 />Have a look at the <3  target=_blank  rel=noopener noreferrer  href=https://fedoraproject.org/wiki/Test_Results:Fedora_Current_Cloud#Cloud_Provider_Setup>  Cloud provider setup</3>guides for more details.",
+  What_is_Karma_Text:
+    "The updates are kept in   <1 target=_blank rel=noopener noreferrer href=https://bodhi.fedoraproject.org/> Bodhi</a>, which acts as a gatekeeper between new package releases and the stable repositories. Users (or automated systems) can then provide feedback in form of positive/negative Karma, marking the update as working (or not) within the scope of their expectations. Anupdate can (and usually does) consist of several packages (rpms), that are going throughthe acceptance process together.",
+  Make_sure_you: "Make sure your system is up-to-date: <1>sudo dnf update --refresh</1>",
+  Install_fedora_easy_karma_tool:
+    "Install fedora-easy-karma tool: <1>sudo dnf install fedora-easy-karma</1>",
+  Have_a_look:
+    "Have a look at the available packages in <1>updates-testing</1> repo, by running <1>dnf --enablerepo=updates-testing list --refresh --upgrades</1> and choose a package you know.",
+  Install_the_packages:
+    "Install the package  <1>sudo dnf --enablerepo=updates-testing update PACKAGE_NAME </1>, and test whether it works, as you would expect.<2 /> <2> Note:</2> Other packages from <1>updates-testing</1> repo may be installed as dependencies (shown during the installation process). Try to test those too, if possible. ",
+  Sometimes_the_update:
+    "Sometimes, the update associated with the package you just installed fixes some specific bugs, or has testcases associated with it. <1 /> Run <2>fedora-easy-karma --fas-username=FAS_USERNAME</2>, and look for  <2>Bugs</2>, <2>Test Cases</2>, and/or <code>Notes</code> sections in the detailed output, ",
+  We_already_mentioned_bodhi:
+    "We already mentioned Bodhi, several times. Instead of using the <1>fedora-easy-karma</1> interface for submitting Karma and/or learning about the Update, you can visit Bodhi directly. <2 /> <1>fedora-easy-karma</1> shows the URL of the relevant update near the bottom of the text output - look for URL like <2>https://bodhi.fedoraproject.org/updates/FEDORA-2019-00870e8bfc</2>. <1 /> You can have a look at other people's comments, the afore-mentioned Bugs or Test Cases, and even submit the Karma directly. Just use your FAS credentials to log-in.",
+  Run_fedora_easy_karam:
+    "Run <1>fedora-easy-karma --fas-username=FAS_USERNAME</1> and report what you found out. ",
+  It_identifies_installed:
+    "It identifies the packages installed from the <1>updates-testing</1> repository, and matches them to the updates in Bodhi. <2 /> You are then presented with the relevant updates one-by-one, to submit Karma and a comment.",
+  Enter_to_mark_positive:
+    "Enter <1>1</1> to mark positive karma (the update works just fine, as far as you can tell), or <1>-1</1> to mark the package as broken. <2 /> Not sure you can judge the package's state? Have a look at the <3 target=_blank href=https://fedoraproject.org/wiki/QA:Update_feedback_guidelines rel=noopener noreferrer> Update Feedback Guidelines </3> <2 /> Still not sure? Just press <1>Enter</1> to skip it.",
+  Add_a_comment_even_if:
+    "Add a comment - even if it works, try to describe what you tested. It can be as easy as  <1>I tried openning and editing a document, and it worked.</1> when you test a text-editor, or  <1>I opened a couple of tabs, and browsed random pages.</1> for a web-browser. <2 /> Absolutely make sure to provide reasonable amount of detail, when submitting negative karma - ideally, you should also create a bugreport, and reference it in the comment.",
+  Restore_the_stable:
+    "Restore the stable-packages on your system by running  <1>sudo dnf distro-sync</1>",
+  Identify_The_Testcase:
+    "Identify the testcase and `environment` in our  <1 target=_blank rel=noopener noreferrer href={matrix_url}> Tescase matrix </1>.",
+  Have_a_look_at_the_matrix:
+    "Have a look at the matrix. The rows are the testcases, and the columns are the environments. Most of the time, these are {environment_examples} for the {testtype} testcases, but you can also encouter a generic <1>Result</1>  column, which usually means you can use any media/architecture available.",
+  for_this_perticular:
+    "For this particular testcase, <1>{extra_data.envs.join(, )}</1> {extra_data.envs.length > 1 ? environments are : environment is missing results.",
+  Read_the_TestCase:
+    "Read the <1 target=_blank rel=noopener noreferrer href={tc_url}> Testcase </1> briefly, just to have a general idea of what you will be doing.",
+  Description_Text: "<1>Description</1> should give you a general idea of what is being tested",
+  Setup_Text: "<1>Setup</1> describes the steps to take before you begin working on the testcase",
+  How_to_Test:
+    "<1>How to test</1> contains the individual steps to take in order to perform the testcase",
+  Expected_Results:
+    "<1>Expected results</1> describe what you should check while testing in order to decide whether it Passed of Failed",
+  study_the_testcase:
+    "Study the <1 target=_blank rel=noopener noreferrer href={tc_url}> Testcase</1> thoroughly, to be sure you know what to do.",
+  If_you_are_not_familiar:
+    "If you are not that familiar with IRC, you can use the <1 target=_blank rel=noopener noreferrer href=http://webchat.freenode.net> web-interface </1>  just enter a Nickname of your choice, #fedora-qa (including the hash sign) in the Channels field, and click Connect.",
+  Great_either_use:
+    "Great! Either use <1>relval report-results</1> on command line (make sure to install the <1>relval</1> package first), or modify the  <2 target=_blank rel=noopener noreferrer href={matrix_url}>matrix</2> directly by clicking on the <1>Edit</1> link next to the Matrice's header, andput <1>&#123;&#123;result|pass|YOUR_NAME_HERE|&#125;&#125;</1> in theappropriate spot.",
+  Awesome_ideally_read:
+    "Awesome! Ideally read up on https://fedoraproject.org/wiki/How_to_file_a_bug_report <1 /> If you don't feel like reading a wall of text, at least pot together a small document containing:",
+  Once_you_get_the_bug:
+    " Once you get the Bug reported, make sure to also submit the result into the testing matrix. Either use <1>relval report-results</1> on command line (make sure to install the <1>relval</1> package first), or modify the <2 target=_blank rel=noopener noreferrer href={matrix_url}>matrix </2> directly by clicking on the <1>Edit</1> link next to the Matrice's header, and put <1>&#123;&#123;result|fail|YOUR_NAME_HERE|BUG_NUMBER|&#125;&#125;</1> in the appropriate spot.",
+  Share_your_notes:
+    "Share your notes on the internet (you can use fpaste), and ask for help with filing the bug report on our IRC channel #fedora-qa at freenode.net  <1 expand_text=Don&#39;t have an IRC client?> If you are not that familiar with IRC, you can use the web-interface[link] just enter a Nickname of your choice, #fedora-qa (including the hash sign) in the Channels field, and click Connect. </1>",
   words: {
     hello: "Hello",
     disable: "Disable",
@@ -56,6 +115,7 @@ export default {
   phrases: {
     Tescase_matrix: "Tescase matrix",
     I_found_a_bug: "I found a bug!",
+    Feeling_a_bit_lost: "Feeling a bit lost?",
     result_fail_your: "result|fail|YOUR_NAME_HERE|BUG_NUMBER|",
     if_you_dont_like_like_reading:
       "If you don't feel like reading a wall of text, at least pot together a small document containing:",
@@ -96,13 +156,11 @@ export default {
     Column_which_usually:
       "column, which usually means you can use any media/architecture available.",
     testcases_but_you_can: "testcases, but you can also encouter a generic",
-    Have_a_look:
-      "Have a look at the matrix. The rows are the testcases, and the columns are the environments. Most of the time, these are",
     missing_results: "missing results.",
     Should_give_you: "should give you a general idea of  what is being tested",
     briefly_just: " briefly, just to have a general idea of what you will be doing.",
     Read_the: " Read the",
-    Not_sure_what_that_means: "Not sure what that means?",
+    Not_sure_what_that_means: " Not sure what that means?",
     Not_making_much_sense: "Not making much sense?",
     Column_which_actually:
       "column, which usually means you can use any  media/architecture available.",
@@ -130,24 +188,14 @@ export default {
     sudo_dnf_distro_sync: "sudo dnf distro-sync",
     Update_Feedback_Guidelines: " Update Feedback Guidelines",
     sudo_dnf_install_fedora_easy_karma: "sudo dnf install fedora-easy-karma",
-    dnf_enablerepo_updates_testing_list_refresh_upgrades:
-      "dnf --enablerepo=updates-testing list --refresh --upgrades",
     cloud_text: " Even thought the",
     Cloud_provider_setup: " Cloud provider setup",
-    sudo_dnf_enablerepo_updates_testing_update_PACKAGE_NAME:
-      "sudo dnf --enablerepo=updates-testing update PACKAGE_NAME",
-    fedora_easy_karma_fas_username_FAS_USERNAME: "fedora-easy-karma --fas-username=FAS_USERNAME",
     guides_for_more_details: " guides for more details.",
     is_a_group: "Is a group containing several projects. Expand to see more.",
     cloud_text1:
       "testcases are best done in the specific environments like EC2 or Openstack, you can also perform them locally using Testcloud.",
     Failed_to_fetch_data: "Failed to fetch data!",
     cloud_text2: "Have a look at the",
-    Installation_text: "testcases generally deal with a part of the installation procedure.",
-    Installation_text1:
-      "You will certainly need an installation ISO, and either a Virtual or Bare-metal machine to run the test.",
-    Installation_text2:
-      "some (not that many, though) of these testcases require Bare-metal machine. Be sure to read the Description of the testcase carefully.",
     select_language: "Select Language",
     base_text: "testcases cover the system's basic functionality just after a clean installation.",
     on_Pagure: "on Pagure",
@@ -191,7 +239,7 @@ export default {
     Not_sure_how: "Not sure how?",
     Make_sure_to: "Make sure to read about identifying the environment above.",
     Most_of_the_time:
-      " Most of the time Workstation Live, or Server DVD are fine, but sometimes there are specific products (e.g. Xfce) to be tested",
+      "Most of the time Workstation Live, or Server DVD are fine, but sometimes there are specific products (e.g. Xfce) to be tested",
     to_skip_it: "to skip it.",
     repo_by: " repo, by running ",
     the_name_of: " The name of the ISO image you used ",
@@ -199,15 +247,12 @@ export default {
     is_a_group_containing: " - Is a group containing several projects. Expand to see more.",
     note_what_you_did:
       "Note what you did, as precisely as possible, in a step-by-step fashion. Even details like 'Chose Polish as the languae for the installation process' can matter.",
-    share_your_notes_on_the:
-      "Share your notes on the internet (you can use fpaste), and ask for help with filing the bug report on our IRC channel #fedora-qa at freenode.net",
     if_you_are_not_familiar:
       "If you are not that familiar with IRC, you can use the web-interface[link] just enter a Nickname of your choice, #fedora-qa (including the hash sign) in the Channels field, and click Connect.",
     you_can_either_install:
       "You can either install Fedora onto clean Virtual or Bare-metal machine, or use a Live image instead.",
     the_updates_are: "The updates are kept in",
-    interface_for_submitting:
-      "interface for submitting Karma and/or learning about the Update, you can visit Bodhi directly.",
+
     and_choose_a: "and choose a package you know.",
     and_create_it: "and create it.",
     brief_description_of_what:
@@ -215,12 +260,8 @@ export default {
     try_to_reproduce_the:
       "Try to reproduce the same state again based on the steps above (you can also experiment a bit, and try to come up with just the critical steps)",
     choose_an_update: "Choose an update to test",
-    have_a_look_at: "Have a look at the available packages in ",
-    make_sure_your: "Make sure your system is up-to-date: ",
     note_the_user: "Note the username and password, you will need it later on.",
     sure_let_me_do_it: "Sure, let me do it!",
-    somtimes_the_update:
-      " Sometimes, the update associated with the package you just installed fixes some specific bugs, or has testcases associated with it",
     an_update_can:
       "An update can (and usually does) consist of several packages (rpms), that are going through the acceptance process together.",
     Audio_Test_Day: "[F34] Audio Test Day",
@@ -228,15 +269,10 @@ export default {
     and_report_what_you_found_out: "and report what you found out.",
     Install_the_package: "Install the package",
     repository_and_matches: "repository, and matches them to the updates in Bodhi.",
-    and_test_whether_it_works: "and test whether it works, as you would expect.",
     Fedora_Media_Writer: "Fedora Media Writer",
     Choose_an_update_to_test: "Choose an update to test",
-    Install_fedora: "Install fedora-easy-karma tool: ",
     once_you_get_the_bug_reported:
       "Once you get the Bug reported, make sure to also submit the result into the testing matrix. Either use",
-    we_already_mentioned_bodhi: "We already mentioned Bodhi, several times. Instead of using the",
-    repo_may_be_installed:
-      " repo may be installed as dependencies (shown during the installation process). Try to test those too, if possible.",
     users_or_automated:
       "Users (or automated systems) can then provide feedback in form of positive/negative Karma, marking the update as working (or not) within the scope of their expectations.",
     which_acts_as_a_gatekeeper:
diff --git a/src/wizard/FedoraEasyKarma.js b/src/wizard/FedoraEasyKarma.js
index 7274f8a..ffb83d4 100644
--- a/src/wizard/FedoraEasyKarma.js
+++ b/src/wizard/FedoraEasyKarma.js
@@ -1,21 +1,30 @@
 import React from "react"
 import { useSelector } from "react-redux"
 import { CollapsableBadge, ModalBadge } from "./components"
+import { Trans } from "react-i18next"
 
 export default (props) => {
   const { i18n } = useSelector((state) => state.locale)
+
   if (props.data === undefined) return null
   else
     return (
       <div>
         <h1>{i18n.t("phrases.What_is_Karma")}</h1>
-        {i18n.t("phrases.Before_a_new_version_of_a_package")}{" "}
-        <CollapsableBadge expand_text={i18n.t("phrases.Tell_me_more_about")}>
-          {i18n.t("phrases.the_updates_are")}{" "}
-          <a target="_blank" rel="noopener noreferrer" href="https://bodhi.fedoraproject.org/">
-            {i18n.t("words.Bodhi")}
-          </a>
-          {i18n.t("phrases.which_acts_as_a_gatekeeper")}
+        Before a new version of a package is pushed to the Fedora&apos;s Updates repository, it
+        needs to be tested and proved functional.{" "}
+        <CollapsableBadge expand_text="Tell me more about the process!">
+          <Trans i18nKey="What_is_Karma_Text">
+            The updates are kept in{" "}
+            <a target="_blank" rel="noopener noreferrer" href="https://bodhi.fedoraproject.org/">
+              Bodhi
+            </a>
+            , which acts as a gatekeeper between new package releases and the stable repositories.{" "}
+            Users (or automated systems) can then provide feedback in form of positive/negative
+            Karma, marking the update as working (or not) within the scope of their expectations.
+            An update can (and usually does) consist of several packages (rpms), that are going
+            through the acceptance process together.
+          </Trans>
         </CollapsableBadge>
         <h1 style={{ marginTop: 1 + "em" }}>{i18n.t("phrases.sure_let_me_do_it")}</h1>
         <ol className="steps">
@@ -29,112 +38,125 @@ export default (props) => {
                     target="_blank"
                     rel="noopener noreferrer"
                     href="https://admin.fedoraproject.org/accounts/user/new">
-                    {i18n.t("phrases.FAS_Sign_up_page")}
+                    FAS Sign-up page
                   </a>{" "}
                   {i18n.t("phrases.and_create_it")}
                 </li>
-                <li> {i18n.t("phrases.note_the_user")}</li>{" "}
+                <li>{i18n.t("phrases.note_the_user")}</li>
               </ul>
             </CollapsableBadge>
           </li>
           <li>
-            {i18n.t("phrases.make_sure_your")}
-            <code>{i18n.t("phrases.sudo_dnf_update_refresh")}</code>
+            <Trans i18nKey="Make_sure_you">
+              Make sure your system is up-to-date: <code>sudo dnf update --refresh</code>
+            </Trans>
           </li>
           <li>
-            {i18n.t("phrases.Install_fedora")}
-            <code>{i18n.t("phrases.sudo_dnf_install_fedora_easy_karma")}</code>
+            <Trans i18nKey="Install_fedora_easy_karma_tool">
+              Install fedora-easy-karma tool: <code>sudo dnf install fedora-easy-karma</code>
+            </Trans>
           </li>
           <li>
             {i18n.t("phrases.choose_an_update")}{" "}
             <CollapsableBadge expand_text={i18n.t("phrases.Not_sure_how")}>
-              {i18n.t("phrases.have_a_look_at")}
-              <code> {i18n.t("phrases.update_testing")}</code> {i18n.t("phrases.repo_by")}
-              <code>
-                {i18n.t("phrases.dnf_enablerepo_updates_testing_list_refresh_upgrades")}
-              </code>{" "}
-              {i18n.t("phrases.and_choose_a")}
+              <Trans i18nKey="Have_a_look">
+                Have a look at the available packages in <code>updates-testing</code> repo, by
+                running <code>dnf --enablerepo=updates-testing list --refresh --upgrades</code> and
+                choose a package you know.
+              </Trans>
             </CollapsableBadge>
           </li>
           <li>
-            {i18n.t("phrases.Install_the_package")}{" "}
-            <code>
-              {i18n.t("phrases.sudo_dnf_enablerepo_updates_testing_update_PACKAGE_NAME")}
-            </code>
-            , {i18n.t("phrases.and_test_whether_it_works")}
-            <br />
-            <strong> {i18n.t("words.Note")}</strong> {i18n.t("phrases.Other_packages_from")}
-            <code> {i18n.t("phrases.update_testing")}</code>
-            {i18n.t("phrases.repo_may_be_installed")}{" "}
-            <CollapsableBadge expand_text={i18n.t("phrases.Need_some_tips")}>
-              {i18n.t("phrases.somtimes_the_update")}.
+            <Trans i18nKey="Install_the_packages">
+              Install the package{" "}
+              <code>sudo dnf --enablerepo=updates-testing update PACKAGE_NAME</code>, and test
+              whether it works, as you would expect.
               <br />
-              {i18n.t("words.Run")}{" "}
-              <code>{i18n.t("phrases.fedora_easy_karma_fas_username_FAS_USERNAME")}</code>,
-              {i18n.t("phrases.and_look_for")} <code>{i18n.t("words.Bugs")}</code>,{" "}
-              <code>{i18n.t("phrases.Test_Cases")}</code>, {i18n.t("phrases.and_or")}{" "}
-              <code>{i18n.t("words.notes")}</code>{" "}
-              {i18n.t("phrases.sections_in_the_detailed_output")}{" "}
-              <ModalBadge expand_text={i18n.t("phrases.Want_something_a_bit_nicer")}>
-                {i18n.t("phrases.we_already_mentioned_bodhi")}{" "}
-                <code>{i18n.t("phases.fedora-easy-karma")}</code>
-                {i18n.t("phrases.interface_for_submitting")}
-                <br />
-                <code>
-                  {" "}
-                  {i18n.t("phrases.")} {i18n.t("phases.fedora-easy-karma")}
-                </code>{" "}
-                {i18n.t("phrases.shows_the_URL")}{" "}
-                <code>https://bodhi.fedoraproject.org/updates/FEDORA-2019-00870e8bfc</code>.
+              <strong>Note:</strong> Other packages from <code>updates-testing</code> repo may be
+              installed as dependencies (shown during the installation process). Try to test those
+              too, if possible.{" "}
+            </Trans>
+
+            <CollapsableBadge expand_text={i18n.t("phrases.Need_some_tips")}>
+              <Trans i18nKey="Sometimes_the_update">
+                Sometimes, the update associated with the package you just installed fixes some
+                specific bugs, or has testcases associated with it.
                 <br />
-                {i18n.t("phrases.you_can_have_a_look")}
+                Run <code>fedora-easy-karma --fas-username=FAS_USERNAME</code>, and look for{" "}
+                <code>Bugs</code>, <code>Test Cases</code>, and/or <code>Notes</code> sections in
+                the detailed output.{" "}
+              </Trans>
+              <ModalBadge expand_text={i18n.t("phrases.Want_something_a_bit_nicer")}>
+                <Trans i18nKey="We_already_mentioned_bodhi">
+                  We already mentioned Bodhi, several times. Instead of using the{" "}
+                  <code>fedora-easy-karma</code> interface for submitting Karma and/or learning
+                  about the Update, you can visit Bodhi directly.
+                  <br />
+                  <code>fedora-easy-karma</code> shows the URL of the relevant update near the
+                  bottom of the text output - look for URL like{" "}
+                  <code>https://bodhi.fedoraproject.org/updates/FEDORA-2019-00870e8bfc</code>.
+                  <br />
+                  You can have a look at other people's comments, the afore-mentioned Bugs or Test
+                  Cases, and even submit the Karma directly. Just use your FAS credentials to
+                  log-in.
+                </Trans>
               </ModalBadge>
             </CollapsableBadge>
           </li>
           <li>
-            {i18n.t("words.Run")}
-            <code>{i18n.t("phrases.fedora_easy_karma_fas_username_FAS_USERNAME")}</code>{" "}
-            {i18n.t("phrases.and_report_what_you_found_out")}{" "}
+            <Trans i18nKey="Run_fedora_easy_karam">
+              Run <code>fedora-easy-karma --fas-username=FAS_USERNAME</code> and report what you
+              found out.{" "}
+            </Trans>
             <CollapsableBadge expand_text={i18n.t("phrases.New_to_fedora")}>
-              {i18n.t("phrases.it_identifies")}
-              <code> {i18n.t("phrases.update_testing")}</code>{" "}
-              {i18n.t("phrases.repository_and_matches")}
-              <br />
-              {i18n.t("phrases.you_are_then_presented")}{" "}
+              <Trans i18nKey="It_identifies_installed">
+                It identifies the packages installed from the <code>updates-testing</code>{" "}
+                repository, and matches them to the updates in Bodhi.
+                <br />
+                You are then presented with the relevant updates one-by-one, to submit Karma and a
+                comment.{" "}
+              </Trans>
               <ModalBadge expand_text={i18n.t("phrases.Not_sure_what_Karma_means")}>
                 <ol>
                   <li>
-                    {i18n.t("words.enter")}
-                    <code>1</code> {i18n.t("phrases.to_mark_positive")}+ <code>-1</code>{" "}
-                    {i18n.t("phrases.to_mark_the")} <br />
-                    {i18n.t("phrases.not_sure_you_can")}{" "}
-                    <a
-                      target="_blank"
-                      href="https://fedoraproject.org/wiki/QA:Update_feedback_guidelines"
-                      rel="noopener noreferrer">
-                      {i18n.t("phrases.Update_Feedback_Guidelines")}
-                    </a>
-                    <br />
-                    {i18n.t("phrases.still_not_sure")}
-                    <code>{i18n.t("words.enter")}</code>
-                    {i18n.t("phrases.to_skip_it")}
+                    <Trans i18nKey="Enter_to_mark_positive">
+                      Enter <code>1</code> to mark positive karma (the update works just fine, as
+                      far as you can tell), or <code>-1</code> to mark the package as broken.{" "}
+                      <br />
+                      Not sure you can judge the package's state? Have a look at the{" "}
+                      <a
+                        target="_blank"
+                        href="https://fedoraproject.org/wiki/QA:Update_feedback_guidelines"
+                        rel="noopener noreferrer">
+                        Update Feedback Guidelines
+                      </a>
+                      <br />
+                      Still not sure? Just press <code>Enter</code> to skip it.
+                    </Trans>
                   </li>
                   <li>
-                    {i18n.t("phrases.add_a_comment")}{" "}
-                    <code> {i18n.t("phrases.i_tried_openning")}</code>
-                    {i18n.t("phrases.when_you_test")}{" "}
-                    <code>{i18n.t("phrases.i_opened_a_couple")}</code>{" "}
-                    {i18n.t("phrases.for_a_web")}.
-                    <br />
-                    {i18n.t("phrases.Absolutely_make_sure")}
+                    <Trans i18nKey="Add_a_comment_even_if">
+                      Add a comment - even if it works, try to describe what you tested. It can be
+                      as easy as{" "}
+                      <code>I tried openning and editing a document, and it worked.</code> when you
+                      test a text-editor, or{" "}
+                      <code>I opened a couple of tabs, and browsed random pages.</code> for a
+                      web-browser.
+                      <br />
+                      Absolutely make sure to provide reasonable amount of detail, when submitting
+                      negative karma - ideally, you should also create a bugreport, and reference
+                      it in the comment.
+                    </Trans>
                   </li>
                 </ol>
               </ModalBadge>
             </CollapsableBadge>
           </li>
           <li>
-            {i18n.t("phrases.Restore_the_stable")}{" "}
-            <code>{i18n.t("phrases.sudo_dnf_distro_sync")}</code>
+            <Trans i18nKey="Restore_the_stable">
+              Restore the stable-packages on your system by running{" "}
+              <code>sudo dnf distro-sync</code>
+            </Trans>{" "}
           </li>
         </ol>
       </div>
